My sites
All operations require authentication.
List attached domainsProduction
Returns the domains and subdomains attached to the hosting. Filter them by domain or path.
Path parameters
Service name
Query parameters
Filter the value of domain property (like)
Filter the value of path property (like)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List websitesProduction
Returns the IDs of the websites of the hosting. Filter them by path.
Path parameters
Service name
Query parameters
Filter the value of path property
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ website \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
List deploymentsProduction
Returns the IDs of the deployments of the website.
Path parameters
Id
Service name
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ website/ {id}/ deployment \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
List websitesBeta
Returns the websites of the hosting.
Path parameters
Name
Headers
Pagination cursor
Pagination size
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the website
Ongoing asynchronous tasks related to the website
Unique identifier of the website
Webhosting Website readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGWebhosting Website target specification
Example uses name = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ webhosting/ resource/ {name}/ website \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "git": { "status": "CREATED", "vcsBranch": "string", "vcsUrl": "string" }, "linkedDomains": 0, "module": { "enabled": true }, "name": "string", "path": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string", "path": "string" } }]
Get an attached domainProduction
Returns the path, CDN, firewall, SSL, IP location and status of the attached domain.
Path parameters
Domain
Service name
Response
Provides the capabilities related to your attachedDomain
whether or not attachedDomain is linked to the hosting cdn
activenoneDomain linked (fqdn)
Firewall state for this path
activenoneIP location of the domain linked
BECACZDEESFIFRIEITLTNLPLPTUKWhether your CDN can be flushed
Domain for separate the logs
Attached domain path
The runtime configuration ID used on this domain
Put domain in SSL certificate
Domain status
createdcreatingdeletingupdatingThe task ID working on this domain
The status of the VCS synchronization
createdcreatingdeletingdeployingdisablederrorinitialErrorExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"{ "capabilities": [ { "description": "string", "href": "string", "key": "string", "method": "DELETE" } ], "cdn": "active", "domain": "string", "firewall": "active", "ipLocation": "BE", "isFlushable": true, "ownLog": "string", "path": "string", "runtimeId": 0, "ssl": true, "status": "created", "taskId": 0, "vcsStatus": "created"}
Find hostings by attached domainProduction
Returns the service names of the hostings that have the given domain attached.
Query parameters
Domain used into web hosting attached domains
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ attachedDomain \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get attached domain DNS statusProduction
Returns the DNS records of the attached domain, their status and the recommended IPs to point them to.
Path parameters
Domain
Service name
Response
Attached domain
Recommended IPs for DNS records configuration
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain/ {domain}/ digStatus \
-H "authorization: Bearer $OVH_TOKEN"{ "domain": "string", "recommendedIps": { "recommendedIpV4": [ "192.0.2.0" ], "recommendedIpV6": [ "2001:41d0:1:1994::1" ] }, "records": { "key": { "dnsConfigured": true, "isOvhIp": true, "type": "A" } }}
Get the SSL certificateProduction
Returns the provider, type and status of the SSL certificate of the attached domain.
Path parameters
Domain
Service name
Response
If the hostedssl is currently bound to a report
Provider of the Hosted SSL
COMODOCUSTOMLETSENCRYPTSECTIGORegenerable flag
Status of the Hosted SSL
createdcreatingdeletingimportingregeneratingThe task ID working on this Hosted SSL
Type of the Hosted SSL
CUSTOMDVEVExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain/ {domain}/ ssl \
-H "authorization: Bearer $OVH_TOKEN"{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}
Get the SSL certificate reportProduction
Returns the status of each validation check run by the certification authority for the certificate of the attached domain.
Path parameters
Domain
Service name
Response
"Certificate signing request" test status done by certification authority
completedin-progressnon-completednon-requirednot-applicablenot-provided"Domain control validation" test status done by certification authority
completedin-progressnon-completednon-requirednot-applicablenot-providedApplicant's legal status obtained or verified directly with registration agency
completedin-progressnon-completednon-requirednot-applicablenot-providedApproval verified through a phone call to the contract signer
completedin-progressnon-completednon-requirednot-applicablenot-providedThe order ID from given hostedssl provider
Terms and conditions agreements acceptance
completedin-progressnon-completednon-requirednot-applicablenot-providedTrade name verified directly with registration agency or through a verified third party
completedin-progressnon-completednon-requirednot-applicablenot-providedExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain/ {domain}/ ssl/ report \
-H "authorization: Bearer $OVH_TOKEN"{ "certificateSigningRequestStatus": "completed", "domainControlValidationStatus": "completed", "organizationValidationStatus": "completed", "phoneCallApprovalStatus": "completed", "providerOrderId": "string", "termsAndConditionsAcceptanceStatus": "completed", "tradeNameVerificationStatus": "completed"}
Get the domain ownership tokenProduction
Get the domain ownership token. Returns the token that proves the ownership of an external domain. Add it in a TXT record of the ovhcontrol subdomain in the DNS zone.
Path parameters
The internal name of your hosting
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ token \
-H "authorization: Bearer $OVH_TOKEN""string"
Get VCS webhook URLsProduction
Returns the webhook URL to call on push events to deploy a website. Filter it by hosting path and VCS platform.
Path parameters
Service name
Query parameters
Filter on hosting path
Filter on VCS platform
githubResponse
Webhook URL for push events
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ vcs/ webhooks \
-H "authorization: Bearer $OVH_TOKEN"{ "push": "string"}
List supported VCS platformsProduction
Returns the VCS platforms a website can be deployed from.
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ vcs/ supported \
-H "authorization: Bearer $OVH_TOKEN"[ "github"]
Get a websiteProduction
Returns the name, path, status, domains and repository of the website.
Path parameters
Id
Service name
Response
Domains of the website
Display name of the hosting
Name of the hosting service
Website numeric identifier
Customizable name of the website
Relative path on the hosting filesystem the website is deployed into
Current status of the website
createdcreatingdeletingdeployingerrorinitialErrorBranch of the repository containing the website source code to deploy
URL of the repository containing the website source code to deploy
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ website/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "domains": [ { "cdn": true, "fqdn": "string", "ssl": true } ], "hostingDisplayName": "string", "hostingServiceName": "string", "id": 0, "name": "string", "path": "string", "status": "created", "vcsBranch": "string", "vcsUrl": "string"}
Get a deploymentProduction
Returns the status, source, branch and last commit of the deployment.
Path parameters
Deployment ID
Id
Service name
Response
Date of the deployment
Deployment numeric identifier
Whether a reset was requested before deploying
Source which triggered the deployment
Current status of the deployment
doingfailedsuccessfulWhich branch of the repository is deployed
Identifier of the last commit after deployment
Message of the last commit after deployment
Website numeric identifier
Example uses deploymentId = 0, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ website/ {id}/ deployment/ {deploymentId} \
-H "authorization: Bearer $OVH_TOKEN"{ "date": "2024-01-01T12:00:00Z", "id": 0, "reset": true, "source": "string", "status": "doing", "vcsBranch": "string", "vcsCommitId": "string", "vcsCommitMessage": "string", "websiteId": 0}
Get deployment logsProduction
Returns the dated log messages of the deployment.
Path parameters
Deployment ID
Id
Service name
Response
Date of the message
Content of the message
Example uses deploymentId = 0, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ website/ {id}/ deployment/ {deploymentId}/ logs \
-H "authorization: Bearer $OVH_TOKEN"[ { "date": "2024-01-01T12:00:00Z", "message": "string" }]
Get website creation capabilitiesProduction
Returns the number of existing websites and the number allowed by the offer, then the same for the websites deployed from a Git repository, -1 meaning unlimited.
Path parameters
Service name
Response
Number of websites deployed from a Git repository allowed by your hosting offer, -1 meaning unlimited
Number of websites allowed by your hosting offer, Git-deployed or not, -1 meaning unlimited
Number of existing websites deployed from a Git repository on your hosting
Number of existing websites on your hosting, Git-deployed or not
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ websiteCreationCapabilities \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedVcsWebsites": 0, "allowedWebsites": 0, "existingVcsWebsites": 0, "existingWebsites": 0}
List attached domainsBeta
Returns the domains attached to all the web hostings of the account. Filter them by name with the domain parameter.
Query parameters
Optional query param to only filter domain name
Headers
Pagination cursor
Pagination size
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the attached domain
Ongoing asynchronous tasks related to the attached domain
Unique identifier of the attached domain
IP Location for the attached domain
BECACZDEESFIFRIEITLTNLPLPTUKWebhosting attached domain readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ webhosting/ attachedDomain \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "cdn": { "status": "ACTIVE" }, "firewall": { "status": "ACTIVE" }, "fqdn": "string", "git": { "status": "CREATED", "vcsBranch": "string", "vcsUrl": "string" }, "hosting": { "boostOffer": "string", "displayName": "string", "offer": "string", "serviceName": "string" }, "isDefault": true, "ownLog": "string", "path": "string", "ssl": { "status": "ACTIVE" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "ipLocation": "BE", "resourceStatus": "CREATING" }]
List attached domainsBeta
Returns the domains attached to the hosting, with their path and their SSL, CDN, firewall and Git settings.
Path parameters
Name
Headers
Pagination cursor
Pagination size
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the attached domain
Ongoing asynchronous tasks related to the attached domain
Unique identifier of the attached domain
IP Location for the attached domain
BECACZDEESFIFRIEITLTNLPLPTUKWebhosting attached domain readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses name = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ webhosting/ resource/ {name}/ attachedDomain \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "cdn": { "status": "ACTIVE" }, "firewall": { "status": "ACTIVE" }, "fqdn": "string", "git": { "status": "CREATED", "vcsBranch": "string", "vcsUrl": "string" }, "hosting": { "boostOffer": "string", "displayName": "string", "offer": "string", "serviceName": "string" }, "isDefault": true, "ownLog": "string", "path": "string", "ssl": { "status": "ACTIVE" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "ipLocation": "BE", "resourceStatus": "CREATING" }]
Get a websiteBeta
Returns the website name, root folder, number of linked domains and its Git and module status.
Path parameters
Name
Website ID
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the website
Ongoing asynchronous tasks related to the website
Unique identifier of the website
Webhosting Website readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGWebhosting Website target specification
Example uses name = string, websiteId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ webhosting/ resource/ {name}/ website/ {websiteId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "git": { "status": "CREATED", "vcsBranch": "string", "vcsUrl": "string" }, "linkedDomains": 0, "module": { "enabled": true }, "name": "string", "path": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string", "path": "string" }}
List website domainsBeta
Returns the domains linked to the website, with their path, CDN and firewall status.
Path parameters
Name
Website ID
Headers
Pagination cursor
Pagination size
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the domain
Ongoing asynchronous tasks related to the website's domain
Unique identifier of the domain
Webhosting Domain readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses name = string, websiteId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ webhosting/ resource/ {name}/ website/ {websiteId}/ domain \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "cdn": { "status": "ACTIVE" }, "firewall": { "status": "ACTIVE" }, "fqdn": "string", "path": "string", "ssl": { "status": "ACTIVE" }, "websiteId": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING" }]
Attach a domainProduction
Attaches a domain to a folder of the hosting, with its CDN, firewall, SSL and IP location settings, and returns the task. Set bypassDNSConfiguration to true to leave the DNS zone unchanged.
Path parameters
Service name
Request body (required)
If set to true, DNS zone will not be updated by the operation
Whether the attached domain is linked to the hosting CDN
activenoneDomain to link
Whether the firewall is active for this domain
activenoneChange attached domain's DNS to the IP of the country
BECACZDEESFIFRIEITLTNLPLPTUKDomain to separate the logs on
Path of the attached domain
The runtime configuration ID used on this domain
Whether to put the attached domain in the SSL certificate
Response
Done date
Task function
abuse/closeabuse/createabuse/create/webabuse/delete/webabuse/updateabuse/update/webagora/AnycastUpdateReferenceagora/DnsAddonUpdateReferenceagora/DnsUpdateReferenceagora/updateReferenceattachedDomain/createattachedDomain/deleteattachedDomain/restartattachedDomain/updatecdn/deletecdn/domain/createcdn/domain/deletecdn/domain/flushcdn/domain/suspendcdn/flushcdn/installcdn/reopencdn/suspendcdn/upgradecluster/setDevelopmentcluster/setTestingcluster/ssl/deploycluster/ssl/renewcluster/test/attachedDomainscluster/test/cdncluster/test/cronscluster/test/emailscluster/test/fileBrowsercluster/test/hostedsslcluster/test/modulescluster/test/ovhConfigcluster/test/userLogscluster/test/usersconfiguration/createconfiguration/deleteconfiguration/updatecron/createcron/deletecron/updatedatabase/changePassworddatabase/changePasswordTestdatabase/changeRightdatabase/changeRightTestdatabase/checkQuotaNowdatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/deleteTestdatabase/dumpAnyDaydatabase/hostUpdatedatabase/importdatabase/optimizedatabase/restorededicatedIp/deletededicatedIp/reopendedicatedIp/suspenddepc/pushdump/createdump/deleteenvVar/createenvVar/deleteenvVar/updateenvVar/upgradeeventbus/pushfilerz/customerMonitoringfilerz/deletehostedssl/assignFreeKeyhostedssl/cdn/updatehostedssl/createhostedssl/deletehostedssl/globalsign/deletehostedssl/htaccess/installhostedssl/importhostedssl/installhostedssl/install/sectigohostedssl/iplb/reloadhostedssl/pushhostedssl/pushDcvFilehostedssl/regeneratehostedssl/repushhosting/activate/privateDatabasehosting/basculementhosting/changeOffer/cloudhosting/changeOffer/sharedhosting/changementhosting/deletehosting/delete_start1mhosting/installhosting/reopenhosting/suspendindy/reopenindy/suspendinfra/certificate/deployinfra/certificate/generateinfra/certificate/installinfra/sharedsql/upgradeinfra/ssl/deployinfra/ssl/renewip/moveip/parklocalSeoAccount/createlocalSeoAccount/deletelocalSeoLocation/deletelocalSeoLocation/installlocalSeoLocation/reopenlocalSeoLocation/suspendlocalSeoVisibilityCheck/processmailsout/checkMailsoutQueuemailsout/flushMailsoutQueuemailsout/updateUserInRedismigration/copyUsersmigration/dday/filerzmigration/dday/listPrivateDatabasesmigration/dday/lotmigration/dday/updateInfra/cronsmigration/dday/updateInfra/dedicatedmigration/dday/updateInfra/migratedFqdnmigration/updateOrtmodule/changePasswordmodule/createmodule/deletemodule/installmonitoring/remotewritenotification/sendovhConfig/refreshovhConfig/rollbackovhConfig/updateovhOrg/deleteownLogs/createownLogs/deleteprovisionning/cdnprovisionning/clusterprovisionning/filerzprovisionning/filerz_logprovisionning/hostingprovisionning/ipfoprovisionning/ipifoprovisionning/iplbprovisionning/privatesqlprovisionning/sharedsqlprovisionning/sslprovisionning/webprovisionning/webappruntime/createruntime/deleteruntime/setDefaultruntime/updatescan/createsqlperso/deletesqlperso/installsqlperso/reopensqlperso/suspendsynchronizeDepc/attachedDomainsynchronizeDepc/clustersynchronizeDepc/databasesynchronizeDepc/filersynchronizeDepc/offersynchronizeDepc/webdtest/migrationuser/changePassworduser/createuser/deleteuser/updateuserLogs/changePassworduserLogs/createuserLogs/deleteuster/setTestingweb/changeDnsweb/changeFilerzweb/changeFilerzWithCallbackweb/changeJailStateweb/changeOutStateweb/changeStateweb/changeWebStateweb/checkQuotaNowweb/createweb/deleteweb/deleteUserweb/restoreSnapshotwebProvisionningwebd/changeSlotswebsite/createwebsite/deletewebsite/deploywebsite/vcs/createwebsite/vcs/deletewebsite/vcs/deployTask's id
Last update date
Task object id
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdStart date
Task status
cancelleddoingdoneerrorinittodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "abuse/close", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Create a free SSL certificateProduction
Creates the free Let's Encrypt SSL certificate of the attached domain.
Path parameters
Domain
Service name
Response
If the hostedssl is currently bound to a report
Provider of the Hosted SSL
COMODOCUSTOMLETSENCRYPTSECTIGORegenerable flag
Status of the Hosted SSL
createdcreatingdeletingimportingregeneratingThe task ID working on this Hosted SSL
Type of the Hosted SSL
CUSTOMDVEVExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain/ {domain}/ ssl \
-H "authorization: Bearer $OVH_TOKEN"{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}
Regenerate the SSL certificateProduction
Regenerates the SSL certificate of the attached domain.
Path parameters
Domain
Service name
Response
If the hostedssl is currently bound to a report
Provider of the Hosted SSL
COMODOCUSTOMLETSENCRYPTSECTIGORegenerable flag
Status of the Hosted SSL
createdcreatingdeletingimportingregeneratingThe task ID working on this Hosted SSL
Type of the Hosted SSL
CUSTOMDVEVExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain/ {domain}/ ssl/ regenerate \
-H "authorization: Bearer $OVH_TOKEN"{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}
Purge the attached domain cacheProduction
Purge the attached domain cache. Purges the CDN cache of the attached domain and returns the task. Available when isFlushable is true on the attached domain.
Path parameters
Domain linked (fqdn)
The internal name of your hosting
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain/ {domain}/ purgeCache \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Restart the attached domain virtual hostProduction
Restart the attached domain virtual host. Restarts the virtual host serving the attached domain and returns the task.
Path parameters
Domain linked (fqdn)
The internal name of your hosting
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain/ {domain}/ restart \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Create a websiteProduction
Creates a website in a folder of the hosting, deployed from a repository branch, and returns the task.
Path parameters
Service name
Request body (required)
Relative path on the hosting filesystem the website will be deployed into
Branch of the repository containing the website source code to deploy
Clone URL of the repository containing the website source code to deploy
Response
Done date
Task function
abuse/closeabuse/createabuse/create/webabuse/delete/webabuse/updateabuse/update/webagora/AnycastUpdateReferenceagora/DnsAddonUpdateReferenceagora/DnsUpdateReferenceagora/updateReferenceattachedDomain/createattachedDomain/deleteattachedDomain/restartattachedDomain/updatecdn/deletecdn/domain/createcdn/domain/deletecdn/domain/flushcdn/domain/suspendcdn/flushcdn/installcdn/reopencdn/suspendcdn/upgradecluster/setDevelopmentcluster/setTestingcluster/ssl/deploycluster/ssl/renewcluster/test/attachedDomainscluster/test/cdncluster/test/cronscluster/test/emailscluster/test/fileBrowsercluster/test/hostedsslcluster/test/modulescluster/test/ovhConfigcluster/test/userLogscluster/test/usersconfiguration/createconfiguration/deleteconfiguration/updatecron/createcron/deletecron/updatedatabase/changePassworddatabase/changePasswordTestdatabase/changeRightdatabase/changeRightTestdatabase/checkQuotaNowdatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/deleteTestdatabase/dumpAnyDaydatabase/hostUpdatedatabase/importdatabase/optimizedatabase/restorededicatedIp/deletededicatedIp/reopendedicatedIp/suspenddepc/pushdump/createdump/deleteenvVar/createenvVar/deleteenvVar/updateenvVar/upgradeeventbus/pushfilerz/customerMonitoringfilerz/deletehostedssl/assignFreeKeyhostedssl/cdn/updatehostedssl/createhostedssl/deletehostedssl/globalsign/deletehostedssl/htaccess/installhostedssl/importhostedssl/installhostedssl/install/sectigohostedssl/iplb/reloadhostedssl/pushhostedssl/pushDcvFilehostedssl/regeneratehostedssl/repushhosting/activate/privateDatabasehosting/basculementhosting/changeOffer/cloudhosting/changeOffer/sharedhosting/changementhosting/deletehosting/delete_start1mhosting/installhosting/reopenhosting/suspendindy/reopenindy/suspendinfra/certificate/deployinfra/certificate/generateinfra/certificate/installinfra/sharedsql/upgradeinfra/ssl/deployinfra/ssl/renewip/moveip/parklocalSeoAccount/createlocalSeoAccount/deletelocalSeoLocation/deletelocalSeoLocation/installlocalSeoLocation/reopenlocalSeoLocation/suspendlocalSeoVisibilityCheck/processmailsout/checkMailsoutQueuemailsout/flushMailsoutQueuemailsout/updateUserInRedismigration/copyUsersmigration/dday/filerzmigration/dday/listPrivateDatabasesmigration/dday/lotmigration/dday/updateInfra/cronsmigration/dday/updateInfra/dedicatedmigration/dday/updateInfra/migratedFqdnmigration/updateOrtmodule/changePasswordmodule/createmodule/deletemodule/installmonitoring/remotewritenotification/sendovhConfig/refreshovhConfig/rollbackovhConfig/updateovhOrg/deleteownLogs/createownLogs/deleteprovisionning/cdnprovisionning/clusterprovisionning/filerzprovisionning/filerz_logprovisionning/hostingprovisionning/ipfoprovisionning/ipifoprovisionning/iplbprovisionning/privatesqlprovisionning/sharedsqlprovisionning/sslprovisionning/webprovisionning/webappruntime/createruntime/deleteruntime/setDefaultruntime/updatescan/createsqlperso/deletesqlperso/installsqlperso/reopensqlperso/suspendsynchronizeDepc/attachedDomainsynchronizeDepc/clustersynchronizeDepc/databasesynchronizeDepc/filersynchronizeDepc/offersynchronizeDepc/webdtest/migrationuser/changePassworduser/createuser/deleteuser/updateuserLogs/changePassworduserLogs/createuserLogs/deleteuster/setTestingweb/changeDnsweb/changeFilerzweb/changeFilerzWithCallbackweb/changeJailStateweb/changeOutStateweb/changeStateweb/changeWebStateweb/checkQuotaNowweb/createweb/deleteweb/deleteUserweb/restoreSnapshotwebProvisionningwebd/changeSlotswebsite/createwebsite/deletewebsite/deploywebsite/vcs/createwebsite/vcs/deletewebsite/vcs/deployTask's id
Last update date
Task object id
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdStart date
Task status
cancelleddoingdoneerrorinittodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ website \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "abuse/close", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Deploy a websiteProduction
Deploys the website from its repository branch and returns the task. Set reset to true to reset the website files before deploying.
Path parameters
Id
Service name
Request body (required)
Whether a reset was requested before deploying
Response
Done date
Task function
abuse/closeabuse/createabuse/create/webabuse/delete/webabuse/updateabuse/update/webagora/AnycastUpdateReferenceagora/DnsAddonUpdateReferenceagora/DnsUpdateReferenceagora/updateReferenceattachedDomain/createattachedDomain/deleteattachedDomain/restartattachedDomain/updatecdn/deletecdn/domain/createcdn/domain/deletecdn/domain/flushcdn/domain/suspendcdn/flushcdn/installcdn/reopencdn/suspendcdn/upgradecluster/setDevelopmentcluster/setTestingcluster/ssl/deploycluster/ssl/renewcluster/test/attachedDomainscluster/test/cdncluster/test/cronscluster/test/emailscluster/test/fileBrowsercluster/test/hostedsslcluster/test/modulescluster/test/ovhConfigcluster/test/userLogscluster/test/usersconfiguration/createconfiguration/deleteconfiguration/updatecron/createcron/deletecron/updatedatabase/changePassworddatabase/changePasswordTestdatabase/changeRightdatabase/changeRightTestdatabase/checkQuotaNowdatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/deleteTestdatabase/dumpAnyDaydatabase/hostUpdatedatabase/importdatabase/optimizedatabase/restorededicatedIp/deletededicatedIp/reopendedicatedIp/suspenddepc/pushdump/createdump/deleteenvVar/createenvVar/deleteenvVar/updateenvVar/upgradeeventbus/pushfilerz/customerMonitoringfilerz/deletehostedssl/assignFreeKeyhostedssl/cdn/updatehostedssl/createhostedssl/deletehostedssl/globalsign/deletehostedssl/htaccess/installhostedssl/importhostedssl/installhostedssl/install/sectigohostedssl/iplb/reloadhostedssl/pushhostedssl/pushDcvFilehostedssl/regeneratehostedssl/repushhosting/activate/privateDatabasehosting/basculementhosting/changeOffer/cloudhosting/changeOffer/sharedhosting/changementhosting/deletehosting/delete_start1mhosting/installhosting/reopenhosting/suspendindy/reopenindy/suspendinfra/certificate/deployinfra/certificate/generateinfra/certificate/installinfra/sharedsql/upgradeinfra/ssl/deployinfra/ssl/renewip/moveip/parklocalSeoAccount/createlocalSeoAccount/deletelocalSeoLocation/deletelocalSeoLocation/installlocalSeoLocation/reopenlocalSeoLocation/suspendlocalSeoVisibilityCheck/processmailsout/checkMailsoutQueuemailsout/flushMailsoutQueuemailsout/updateUserInRedismigration/copyUsersmigration/dday/filerzmigration/dday/listPrivateDatabasesmigration/dday/lotmigration/dday/updateInfra/cronsmigration/dday/updateInfra/dedicatedmigration/dday/updateInfra/migratedFqdnmigration/updateOrtmodule/changePasswordmodule/createmodule/deletemodule/installmonitoring/remotewritenotification/sendovhConfig/refreshovhConfig/rollbackovhConfig/updateovhOrg/deleteownLogs/createownLogs/deleteprovisionning/cdnprovisionning/clusterprovisionning/filerzprovisionning/filerz_logprovisionning/hostingprovisionning/ipfoprovisionning/ipifoprovisionning/iplbprovisionning/privatesqlprovisionning/sharedsqlprovisionning/sslprovisionning/webprovisionning/webappruntime/createruntime/deleteruntime/setDefaultruntime/updatescan/createsqlperso/deletesqlperso/installsqlperso/reopensqlperso/suspendsynchronizeDepc/attachedDomainsynchronizeDepc/clustersynchronizeDepc/databasesynchronizeDepc/filersynchronizeDepc/offersynchronizeDepc/webdtest/migrationuser/changePassworduser/createuser/deleteuser/updateuserLogs/changePassworduserLogs/createuserLogs/deleteuster/setTestingweb/changeDnsweb/changeFilerzweb/changeFilerzWithCallbackweb/changeJailStateweb/changeOutStateweb/changeStateweb/changeWebStateweb/checkQuotaNowweb/createweb/deleteweb/deleteUserweb/restoreSnapshotwebProvisionningwebd/changeSlotswebsite/createwebsite/deletewebsite/deploywebsite/vcs/createwebsite/vcs/deletewebsite/vcs/deployTask's id
Last update date
Task object id
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdStart date
Task status
cancelleddoingdoneerrorinittodoExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ website/ {id}/ deploy \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "abuse/close", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Create a websiteBeta
Creates a website on a domain, with its root folder, and can install a WordPress, Joomla, Drupal or PrestaShop module. Creation is asynchronous: follow resourceStatus until READY. Set bypassDNSConfiguration to true to leave the DNS zone unchanged.
Path parameters
Name
Request body (required)
Target specification of the website
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the website
Ongoing asynchronous tasks related to the website
Unique identifier of the website
Webhosting Website readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGWebhosting Website target specification
Example uses name = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ webhosting/ resource/ {name}/ website \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "git": { "status": "CREATED", "vcsBranch": "string", "vcsUrl": "string" }, "linkedDomains": 0, "module": { "enabled": true }, "name": "string", "path": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string", "path": "string" }}
Detach a domainProduction
Detaches the domain from the hosting and returns the task. Set bypassDNSConfiguration to true to leave the DNS zone unchanged.
Path parameters
Domain
Service name
Query parameters
If set to true, DNS zone will not be updated by the operation
Response
Done date
Task function
abuse/closeabuse/createabuse/create/webabuse/delete/webabuse/updateabuse/update/webagora/AnycastUpdateReferenceagora/DnsAddonUpdateReferenceagora/DnsUpdateReferenceagora/updateReferenceattachedDomain/createattachedDomain/deleteattachedDomain/restartattachedDomain/updatecdn/deletecdn/domain/createcdn/domain/deletecdn/domain/flushcdn/domain/suspendcdn/flushcdn/installcdn/reopencdn/suspendcdn/upgradecluster/setDevelopmentcluster/setTestingcluster/ssl/deploycluster/ssl/renewcluster/test/attachedDomainscluster/test/cdncluster/test/cronscluster/test/emailscluster/test/fileBrowsercluster/test/hostedsslcluster/test/modulescluster/test/ovhConfigcluster/test/userLogscluster/test/usersconfiguration/createconfiguration/deleteconfiguration/updatecron/createcron/deletecron/updatedatabase/changePassworddatabase/changePasswordTestdatabase/changeRightdatabase/changeRightTestdatabase/checkQuotaNowdatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/deleteTestdatabase/dumpAnyDaydatabase/hostUpdatedatabase/importdatabase/optimizedatabase/restorededicatedIp/deletededicatedIp/reopendedicatedIp/suspenddepc/pushdump/createdump/deleteenvVar/createenvVar/deleteenvVar/updateenvVar/upgradeeventbus/pushfilerz/customerMonitoringfilerz/deletehostedssl/assignFreeKeyhostedssl/cdn/updatehostedssl/createhostedssl/deletehostedssl/globalsign/deletehostedssl/htaccess/installhostedssl/importhostedssl/installhostedssl/install/sectigohostedssl/iplb/reloadhostedssl/pushhostedssl/pushDcvFilehostedssl/regeneratehostedssl/repushhosting/activate/privateDatabasehosting/basculementhosting/changeOffer/cloudhosting/changeOffer/sharedhosting/changementhosting/deletehosting/delete_start1mhosting/installhosting/reopenhosting/suspendindy/reopenindy/suspendinfra/certificate/deployinfra/certificate/generateinfra/certificate/installinfra/sharedsql/upgradeinfra/ssl/deployinfra/ssl/renewip/moveip/parklocalSeoAccount/createlocalSeoAccount/deletelocalSeoLocation/deletelocalSeoLocation/installlocalSeoLocation/reopenlocalSeoLocation/suspendlocalSeoVisibilityCheck/processmailsout/checkMailsoutQueuemailsout/flushMailsoutQueuemailsout/updateUserInRedismigration/copyUsersmigration/dday/filerzmigration/dday/listPrivateDatabasesmigration/dday/lotmigration/dday/updateInfra/cronsmigration/dday/updateInfra/dedicatedmigration/dday/updateInfra/migratedFqdnmigration/updateOrtmodule/changePasswordmodule/createmodule/deletemodule/installmonitoring/remotewritenotification/sendovhConfig/refreshovhConfig/rollbackovhConfig/updateovhOrg/deleteownLogs/createownLogs/deleteprovisionning/cdnprovisionning/clusterprovisionning/filerzprovisionning/filerz_logprovisionning/hostingprovisionning/ipfoprovisionning/ipifoprovisionning/iplbprovisionning/privatesqlprovisionning/sharedsqlprovisionning/sslprovisionning/webprovisionning/webappruntime/createruntime/deleteruntime/setDefaultruntime/updatescan/createsqlperso/deletesqlperso/installsqlperso/reopensqlperso/suspendsynchronizeDepc/attachedDomainsynchronizeDepc/clustersynchronizeDepc/databasesynchronizeDepc/filersynchronizeDepc/offersynchronizeDepc/webdtest/migrationuser/changePassworduser/createuser/deleteuser/updateuserLogs/changePassworduserLogs/createuserLogs/deleteuster/setTestingweb/changeDnsweb/changeFilerzweb/changeFilerzWithCallbackweb/changeJailStateweb/changeOutStateweb/changeStateweb/changeWebStateweb/checkQuotaNowweb/createweb/deleteweb/deleteUserweb/restoreSnapshotwebProvisionningwebd/changeSlotswebsite/createwebsite/deletewebsite/deploywebsite/vcs/createwebsite/vcs/deletewebsite/vcs/deployTask's id
Last update date
Task object id
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdStart date
Task status
cancelleddoingdoneerrorinittodoExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "abuse/close", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Delete the SSL certificateProduction
Deletes the SSL certificate of the attached domain.
Path parameters
Domain
Service name
Response
If the hostedssl is currently bound to a report
Provider of the Hosted SSL
COMODOCUSTOMLETSENCRYPTSECTIGORegenerable flag
Status of the Hosted SSL
createdcreatingdeletingimportingregeneratingThe task ID working on this Hosted SSL
Type of the Hosted SSL
CUSTOMDVEVExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain/ {domain}/ ssl \
-H "authorization: Bearer $OVH_TOKEN"{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}
Delete a websiteProduction
Deletes the website and returns the task. Set deleteFiles to true to also empty the website folder.
Path parameters
Id
Service name
Query parameters
Whether the website path should be emptied or not
Response
Done date
Task function
abuse/closeabuse/createabuse/create/webabuse/delete/webabuse/updateabuse/update/webagora/AnycastUpdateReferenceagora/DnsAddonUpdateReferenceagora/DnsUpdateReferenceagora/updateReferenceattachedDomain/createattachedDomain/deleteattachedDomain/restartattachedDomain/updatecdn/deletecdn/domain/createcdn/domain/deletecdn/domain/flushcdn/domain/suspendcdn/flushcdn/installcdn/reopencdn/suspendcdn/upgradecluster/setDevelopmentcluster/setTestingcluster/ssl/deploycluster/ssl/renewcluster/test/attachedDomainscluster/test/cdncluster/test/cronscluster/test/emailscluster/test/fileBrowsercluster/test/hostedsslcluster/test/modulescluster/test/ovhConfigcluster/test/userLogscluster/test/usersconfiguration/createconfiguration/deleteconfiguration/updatecron/createcron/deletecron/updatedatabase/changePassworddatabase/changePasswordTestdatabase/changeRightdatabase/changeRightTestdatabase/checkQuotaNowdatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/deleteTestdatabase/dumpAnyDaydatabase/hostUpdatedatabase/importdatabase/optimizedatabase/restorededicatedIp/deletededicatedIp/reopendedicatedIp/suspenddepc/pushdump/createdump/deleteenvVar/createenvVar/deleteenvVar/updateenvVar/upgradeeventbus/pushfilerz/customerMonitoringfilerz/deletehostedssl/assignFreeKeyhostedssl/cdn/updatehostedssl/createhostedssl/deletehostedssl/globalsign/deletehostedssl/htaccess/installhostedssl/importhostedssl/installhostedssl/install/sectigohostedssl/iplb/reloadhostedssl/pushhostedssl/pushDcvFilehostedssl/regeneratehostedssl/repushhosting/activate/privateDatabasehosting/basculementhosting/changeOffer/cloudhosting/changeOffer/sharedhosting/changementhosting/deletehosting/delete_start1mhosting/installhosting/reopenhosting/suspendindy/reopenindy/suspendinfra/certificate/deployinfra/certificate/generateinfra/certificate/installinfra/sharedsql/upgradeinfra/ssl/deployinfra/ssl/renewip/moveip/parklocalSeoAccount/createlocalSeoAccount/deletelocalSeoLocation/deletelocalSeoLocation/installlocalSeoLocation/reopenlocalSeoLocation/suspendlocalSeoVisibilityCheck/processmailsout/checkMailsoutQueuemailsout/flushMailsoutQueuemailsout/updateUserInRedismigration/copyUsersmigration/dday/filerzmigration/dday/listPrivateDatabasesmigration/dday/lotmigration/dday/updateInfra/cronsmigration/dday/updateInfra/dedicatedmigration/dday/updateInfra/migratedFqdnmigration/updateOrtmodule/changePasswordmodule/createmodule/deletemodule/installmonitoring/remotewritenotification/sendovhConfig/refreshovhConfig/rollbackovhConfig/updateovhOrg/deleteownLogs/createownLogs/deleteprovisionning/cdnprovisionning/clusterprovisionning/filerzprovisionning/filerz_logprovisionning/hostingprovisionning/ipfoprovisionning/ipifoprovisionning/iplbprovisionning/privatesqlprovisionning/sharedsqlprovisionning/sslprovisionning/webprovisionning/webappruntime/createruntime/deleteruntime/setDefaultruntime/updatescan/createsqlperso/deletesqlperso/installsqlperso/reopensqlperso/suspendsynchronizeDepc/attachedDomainsynchronizeDepc/clustersynchronizeDepc/databasesynchronizeDepc/filersynchronizeDepc/offersynchronizeDepc/webdtest/migrationuser/changePassworduser/createuser/deleteuser/updateuserLogs/changePassworduserLogs/createuserLogs/deleteuster/setTestingweb/changeDnsweb/changeFilerzweb/changeFilerzWithCallbackweb/changeJailStateweb/changeOutStateweb/changeStateweb/changeWebStateweb/checkQuotaNowweb/createweb/deleteweb/deleteUserweb/restoreSnapshotwebProvisionningwebd/changeSlotswebsite/createwebsite/deletewebsite/deploywebsite/vcs/createwebsite/vcs/deletewebsite/vcs/deployTask's id
Last update date
Task object id
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdStart date
Task status
cancelleddoingdoneerrorinittodoExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ website/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "abuse/close", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Update an attached domainProduction
Updates the path, CDN, firewall, SSL, IP location or log domain of the attached domain.
Path parameters
Domain
Service name
Request body (required)
If set to true, DNS zone will not be updated by the operation
Whether the attached domain is linked to the hosting CDN
activenoneDomain to link
Whether the firewall is active for this domain
activenoneChange attached domain's DNS to the IP of the country
BECACZDEESFIFRIEITLTNLPLPTUKDomain to separate the logs on
Path of the attached domain
The runtime configuration ID used on this domain
Whether to put the attached domain in the SSL certificate
Response
Example uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"Update the SSL certificateProduction
Updates the SSL certificate of the attached domain. Set regenerate to true to regenerate it.
Path parameters
Domain
Service name
Request body (required)
true to regenerate the certificate
Response
If the hostedssl is currently bound to a report
Provider of the Hosted SSL
COMODOCUSTOMLETSENCRYPTSECTIGORegenerable flag
Status of the Hosted SSL
createdcreatingdeletingimportingregeneratingThe task ID working on this Hosted SSL
Type of the Hosted SSL
CUSTOMDVEVExample uses domain = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ attachedDomain/ {domain}/ ssl \
-H "authorization: Bearer $OVH_TOKEN"{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}
Update a websiteProduction
Updates the repository branch deployed on the website.
Path parameters
Id
Service name
Request body (required)
Branch of the repository containing the website source code to deploy
Response
Domains of the website
Display name of the hosting
Name of the hosting service
Website numeric identifier
Customizable name of the website
Relative path on the hosting filesystem the website is deployed into
Current status of the website
createdcreatingdeletingdeployingerrorinitialErrorBranch of the repository containing the website source code to deploy
URL of the repository containing the website source code to deploy
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ website/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "domains": [ { "cdn": true, "fqdn": "string", "ssl": true } ], "hostingDisplayName": "string", "hostingServiceName": "string", "id": 0, "name": "string", "path": "string", "status": "created", "vcsBranch": "string", "vcsUrl": "string"}
Update a websiteBeta
Updates the name and root folder of the website.
Path parameters
Name
Website ID
Request body (required)
Target specification of the resource
Response
Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.
Current state of the website
Ongoing asynchronous tasks related to the website
Unique identifier of the website
Webhosting Website readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGWebhosting Website target specification
Example uses name = string, websiteId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ webhosting/ resource/ {name}/ website/ {websiteId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "git": { "status": "CREATED", "vcsBranch": "string", "vcsUrl": "string" }, "linkedDomains": 0, "module": { "enabled": true }, "name": "string", "path": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string", "path": "string" }}